Debian Bug report logs - #659736
cups: parallel:/dev/usb/lp0 consumes 100% cpu and never finishes

version graph

Package: cups-filters; Maintainer for cups-filters is Debian Printing Team <debian-printing@lists.debian.org>; Source for cups-filters is src:cups-filters.

Reported by: Vassilis Virvilis <vasvir@iit.demokritos.gr>

Date: Mon, 13 Feb 2012 14:21:02 UTC

Severity: important

Fixed in version 1.0.5-1

Done: "Didier 'OdyX' Raboud" <odyx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#659736; Package cups. (Mon, 13 Feb 2012 14:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vassilis Virvilis <vasvir@iit.demokritos.gr>:
New Bug report received and forwarded. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 13 Feb 2012 14:21:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vassilis Virvilis <vasvir@iit.demokritos.gr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cups: parallel:/dev/usb/lp0 consumes 100% cpu and never finishes
Date: Mon, 13 Feb 2012 16:16:18 +0200
Package: cups
Version: 1.5.2-3
Severity: important

Dear Maintainer,
*** Please consider answering these questions, where appropriate ***

* What led up to the situation?

I am trying to print both from
	via samba from a remote machinee
	locally via lpr

* What exactly did you do (or not do) that was effective (or ineffective)?

I noticed that the backend process parallel:/dev/usb/lp0 never finished and
consumes 100%. That means that the queue is never empty.

If I print locally the output the first print is ok. However since the
backend does not finish the spool does not empty so all subsequent prints
are prohibited.

If I print from samba not even the first print gets out. The backend process
simply consumes 100% (doing polling as strace revealed) in both cases.

*** End of the template - remove these lines ***


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cups depends on:
ii  adduser                3.113+nmu1
ii  bc                     1.06.95-2+b1
ii  cups-client            1.5.2-3
ii  cups-common            1.5.2-3
ii  cups-filters           1.0~b1-3
ii  cups-ppdc              1.5.2-3
ii  debconf [debconf-2.0]  1.5.41
ii  ghostscript            9.05~dfsg-2
ii  libavahi-client3       0.6.30-6
ii  libavahi-common3       0.6.30-6
ii  libc6                  2.13-26
ii  libcups2               1.5.2-3
ii  libcupscgi1            1.5.2-3
ii  libcupsimage2          1.5.2-3
ii  libcupsmime1           1.5.2-3
ii  libcupsppdc1           1.5.2-3
ii  libdbus-1-3            1.4.16-1
ii  libgcc1                1:4.6.2-14
ii  libgnutls26            2.12.16-1
ii  libgssapi-krb5-2       1.10+dfsg~beta1-2
ii  libkrb5-3              1.10+dfsg~beta1-2
ii  libldap-2.4-2          2.4.28-1.1
ii  libpam0g               1.1.3-7
ii  libpaper1              1.1.24+nmu1
ii  libslp1                1.2.1-9
ii  libstdc++6             4.6.2-14
ii  libusb-1.0-0           2:1.0.9~rc3-3
ii  lsb-base               3.2-28.1
ii  poppler-utils          0.16.7-3
ii  procps                 1:3.3.2-3
ii  ssl-cert               1.0.28

Versions of packages cups recommends:
ii  avahi-daemon                                        0.6.30-6
ii  colord                                              0.1.16-2
ii  foomatic-filters                                    4.0.12-1
ii  ghostscript-cups                                    9.05~dfsg-2
ii  printer-driver-gutenprint [cups-driver-gutenprint]  5.2.7-5

Versions of packages cups suggests:
ii  cups-bsd     1.5.2-3
ii  cups-pdf     <none>
ii  foomatic-db  20120212-1
ii  hplip        3.11.12-2
ii  smbclient    2:3.6.3-1
ii  udev         175-3

-- Configuration Files:
/etc/cups/cupsd.conf changed:
LogLevel warn
MaxLogSize 0
SystemGroup lpadmin
Listen *:631
Listen /var/run/cups/cups.sock
Browsing On
BrowseOrder allow,deny
BrowseAllow all
BrowseLocalProtocols CUPS dnssd
DefaultAuthType Basic
DefaultEncryption IfRequested
<Location />
  allow @LOCAL
  Order allow,deny
</Location>
<Location /admin>
  allow @LOCAL
  Order allow,deny
</Location>
<Location /admin/conf>
  AuthType Default
  Require user @SYSTEM
  allow @LOCAL
  Order allow,deny
</Location>
<Policy default>
  <Limit Create-Job Print-Job Print-URI Validate-Job>
    Order deny,allow
  </Limit>
  <Limit Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs Set-Job-Attributes Create-Job-Subscription Renew-Subscription Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job Suspend-Current-Job Resume-Job CUPS-Move-Job CUPS-Get-Document>
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit CUPS-Add-Modify-Printer CUPS-Delete-Printer CUPS-Add-Modify-Class CUPS-Delete-Class CUPS-Set-Default CUPS-Get-Devices>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Pause-Printer Resume-Printer Enable-Printer Disable-Printer Pause-Printer-After-Current-Job Hold-New-Jobs Release-Held-New-Jobs Deactivate-Printer Activate-Printer Restart-Printer Shutdown-Printer Startup-Printer Promote-Job Schedule-Job-After CUPS-Accept-Jobs CUPS-Reject-Jobs>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Cancel-Job CUPS-Authenticate-Job>
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit All>
    Order deny,allow
  </Limit>
</Policy>
<Policy authenticated>
  <Limit Create-Job Print-Job Print-URI Validate-Job>
    AuthType Default
    Order deny,allow
  </Limit>
  <Limit Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs Set-Job-Attributes Create-Job-Subscription Renew-Subscription Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job Suspend-Current-Job Resume-Job CUPS-Move-Job CUPS-Get-Document>
    AuthType Default
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit CUPS-Add-Modify-Printer CUPS-Delete-Printer CUPS-Add-Modify-Class CUPS-Delete-Class CUPS-Set-Default>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Pause-Printer Resume-Printer Enable-Printer Disable-Printer Pause-Printer-After-Current-Job Hold-New-Jobs Release-Held-New-Jobs Deactivate-Printer Activate-Printer Restart-Printer Shutdown-Printer Startup-Printer Promote-Job Schedule-Job-After CUPS-Accept-Jobs CUPS-Reject-Jobs>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Cancel-Job CUPS-Authenticate-Job>
    AuthType Default
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit All>
    Order deny,allow
  </Limit>
</Policy>

/etc/modprobe.d/blacklist-cups-usblp.conf changed:


-- debconf information:
  cupsys/raw-print: true
  cupsys/backend: ipp, lpd, socket, usb, snmp, dnssd




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#659736; Package cups. (Wed, 14 Mar 2012 19:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian Potkin <claremont102@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 14 Mar 2012 19:54:04 GMT) Full text and rfc822 format available.

Message #10 received at 659736@bugs.debian.org (full text, mbox):

From: Brian Potkin <claremont102@gmail.com>
To: Debian Bug Tracking System <659736@bugs.debian.org>
Cc: Vassilis Virvilis <vasvir@iit.demokritos.gr>
Subject: cups: parallel:/dev/usb/lp0 consumes 100% cpu and never finishes
Date: Wed, 14 Mar 2012 19:50:26 +0000
Package: cups
Followup-For: Bug #659736


The bug you reported is apparently one in cups-filters and should be
fixed in the next upload to unstable. Please see

https://bugs.launchpad.net/ubuntu/+source/cups-filters/+bug/936647

and report back if your problem printing is resolved.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#659736; Package cups. (Thu, 15 Mar 2012 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to vasvir@iit.demokritos.gr:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Thu, 15 Mar 2012 08:33:04 GMT) Full text and rfc822 format available.

Message #15 received at 659736@bugs.debian.org (full text, mbox):

From: vasvir@iit.demokritos.gr
To: "Brian Potkin" <claremont102@gmail.com>
Cc: "Debian Bug Tracking System" <659736@bugs.debian.org>, "Vassilis Virvilis" <vasvir@iit.demokritos.gr>
Subject: Re: cups: parallel:/dev/usb/lp0 consumes 100% cpu and never finishes
Date: Thu, 15 Mar 2012 10:19:09 +0200 (EET)
> Package: cups
> Followup-For: Bug #659736
>
>
> The bug you reported is apparently one in cups-filters and should be
> fixed in the next upload to unstable. Please see
>
> https://bugs.launchpad.net/ubuntu/+source/cups-filters/+bug/936647
>
> and report back if your problem printing is resolved.
>

Hi,

I can confirm that it works for my setup.

Let me restate my setup. The computer has no parallel ports and cups uses
the parallel backend through a usb to parallel cable at /dev/usb/lp0,

Something else:

As a stop gap measure we have switched to usb backend which worked for the
first few jobs and then it stopped working. We had to unplug/plug to USB
and resume printer to continue . I guess that this is a different bug and
I don't know if it is fixed with the latest update and most importantly I
don't even know which backend is recommended to use, but I thought I
should mention it for posterity.

If you want I can retest and submit a new bug report for the usb backend
If it is supposed to work for my setup.

  Thanks a lot.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#659736; Package cups. (Thu, 15 Mar 2012 12:36:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian Potkin <claremont102@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Thu, 15 Mar 2012 12:36:41 GMT) Full text and rfc822 format available.

Message #20 received at 659736@bugs.debian.org (full text, mbox):

From: Brian Potkin <claremont102@gmail.com>
To: vasvir@iit.demokritos.gr
Cc: Debian Bug Tracking System <659736@bugs.debian.org>
Subject: Re: cups: parallel:/dev/usb/lp0 consumes 100% cpu and never finishes
Date: Thu, 15 Mar 2012 12:10:40 +0000
reassign 659736 cups-filters
thanks


On Thu 15 Mar 2012 at 10:19:09 +0200, vasvir@iit.demokritos.gr wrote:

> Hi,
> 
> I can confirm that it works for my setup.

Splendid!
 
> Let me restate my setup. The computer has no parallel ports and cups uses
> the parallel backend through a usb to parallel cable at /dev/usb/lp0,
>
> Something else:
> 
> As a stop gap measure we have switched to usb backend which worked for the
> first few jobs and then it stopped working. We had to unplug/plug to USB
> and resume printer to continue . I guess that this is a different bug and
> I don't know if it is fixed with the latest update and most importantly I
> don't even know which backend is recommended to use, but I thought I
> should mention it for posterity.
> 
> If you want I can retest and submit a new bug report for the usb backend
> If it is supposed to work for my setup.

That might be worthwhile when you have the time.

Regards,

Brian.




Bug reassigned from package 'cups' to 'cups-filters'. Request was from Brian Potkin <claremont102@gmail.com> to control@bugs.debian.org. (Thu, 15 Mar 2012 12:36:58 GMT) Full text and rfc822 format available.

No longer marked as found in versions cups/1.5.2-3. Request was from Brian Potkin <claremont102@gmail.com> to control@bugs.debian.org. (Thu, 15 Mar 2012 12:36:59 GMT) Full text and rfc822 format available.

Reply sent to "Didier 'OdyX' Raboud" <odyx@debian.org>:
You have taken responsibility. (Tue, 10 Dec 2013 14:27:14 GMT) Full text and rfc822 format available.

Notification sent to Vassilis Virvilis <vasvir@iit.demokritos.gr>:
Bug acknowledged by developer. (Tue, 10 Dec 2013 14:27:14 GMT) Full text and rfc822 format available.

Message #29 received at 659736-done@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <odyx@debian.org>
To: Brian Potkin <claremont102@gmail.com>
Cc: vasvir@iit.demokritos.gr, Debian Bug Tracking System <659736-done@bugs.debian.org>
Subject: Re: cups: parallel:/dev/usb/lp0 consumes 100% cpu and never finishes
Date: Tue, 10 Dec 2013 15:22:35 +0100
[Message part 1 (text/plain, inline)]
Version: 1.0.5-1

Le jeudi, 15 mars 2012, 12.10:40 Brian Potkin a écrit :
> reassign 659736 cups-filters
> thanks
> 
> On Thu 15 Mar 2012 at 10:19:09 +0200, vasvir@iit.demokritos.gr wrote:
> > Hi,
> > 
> > I can confirm that it works for my setup.
> 
> Splendid!

I think this bug has been fixed by the 1.0.5-1 upload ("parallel 
backend: Break infinite loop (LP: #936647)").

Please re-open if this is still an issue.

Cheers,

OdyX
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 08 Jan 2014 07:27:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:55:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.